PROGRAM seriearmonica
  ! Il programma approssima la costante di Eulero-Mascheroni
  ! usando la somma della serie armonica
  IMPLICIT NONE
   
  REAL(8), PARAMETER :: gamma = 0.5772156649015329
  REAL(8) :: s,gammas
  INTEGER :: n,k

  WRITE(*,'(a)',advance='no') "Inserisci il numero di addendi "
  READ (*,*) n

  s=0.d0
  ciclo: DO k=1,n
     s=s+1.0d0/k
  END DO ciclo
  
  gammas=s-LOG(REAL(n))
  WRITE(*,*) "Il valore di gamma stimato e` ",gammas
  WRITE(*,*) "L'errore assoluto e`          ",ABS(gammas-gamma)
  
END PROGRAM seriearmonica
